import java.util.*;

enum Pip { ONE, TWO, THREE, FOUR, FIVE, SIX };

public class Sample {
  public static int scoreFor(Pip pip) {
    return switch(pip) {
      case ONE -> 100;
      case TWO -> 2;
      case THREE, FOUR -> 3;
      case FIVE -> 5;
      case SIX -> 50;
    };
  }

  public static void main(String[] args) {
    var result = List.of(Pip.ONE, Pip.THREE, Pip.FOUR, Pip.THREE, Pip.TWO, Pip.SIX).stream()
      .mapToInt(Sample::scoreFor)
      .sum();


    System.out.println(result);
  }
}

